package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 动力箱柜电气设备对象 adm_box_elec_eqpt
 * 
 * @author ruoyi
 * @date 2024-09-03
 */
public class AdmBoxElecEqpt extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 箱柜代码 */
    @Excel(name = "箱柜代码")
    private String boxCode;

    /** 电气编码 */
    @Excel(name = "电气编码")
    private String eqptCode;

    /** 外部系统编码 */
    @Excel(name = "外部系统编码")
    private String extEqptCode;

    /** 电气符号代码 */
    @Excel(name = "电气符号代码")
    private String eqptType;

    /** 电气型号 */
    @Excel(name = "电气型号")
    private String eqptSpec;

    /** 额定电压 */
    @Excel(name = "额定电压")
    private Integer ratedVoltage;

    /** 额定电流 */
    @Excel(name = "额定电流")
    private Integer ratedCurrent;

    /** 祖籍列表 */
    @Excel(name = "祖籍列表")
    private String ancestors;

    /** 上级电气件 */
    @Excel(name = "上级电气件")
    private String parentEqpt;

    /** 下级支路 */
    @Excel(name = "下级支路")
    private String subCircuit;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBoxCode(String boxCode) 
    {
        this.boxCode = boxCode;
    }

    public String getBoxCode() 
    {
        return boxCode;
    }
    public void setEqptCode(String eqptCode) 
    {
        this.eqptCode = eqptCode;
    }

    public String getEqptCode() 
    {
        return eqptCode;
    }
    public void setExtEqptCode(String extEqptCode) 
    {
        this.extEqptCode = extEqptCode;
    }

    public String getExtEqptCode() 
    {
        return extEqptCode;
    }
    public void setEqptType(String eqptType) 
    {
        this.eqptType = eqptType;
    }

    public String getEqptType() 
    {
        return eqptType;
    }
    public void setEqptSpec(String eqptSpec) 
    {
        this.eqptSpec = eqptSpec;
    }

    public String getEqptSpec() 
    {
        return eqptSpec;
    }
    public void setRatedVoltage(Integer ratedVoltage) 
    {
        this.ratedVoltage = ratedVoltage;
    }

    public Integer getRatedVoltage() 
    {
        return ratedVoltage;
    }
    public void setRatedCurrent(Integer ratedCurrent) 
    {
        this.ratedCurrent = ratedCurrent;
    }

    public Integer getRatedCurrent() 
    {
        return ratedCurrent;
    }
    public void setAncestors(String ancestors) 
    {
        this.ancestors = ancestors;
    }

    public String getAncestors() 
    {
        return ancestors;
    }
    public void setParentEqpt(String parentEqpt) 
    {
        this.parentEqpt = parentEqpt;
    }

    public String getParentEqpt() 
    {
        return parentEqpt;
    }
    public void setSubCircuit(String subCircuit) 
    {
        this.subCircuit = subCircuit;
    }

    public String getSubCircuit() 
    {
        return subCircuit;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("boxCode", getBoxCode())
            .append("eqptCode", getEqptCode())
            .append("extEqptCode", getExtEqptCode())
            .append("eqptType", getEqptType())
            .append("eqptSpec", getEqptSpec())
            .append("ratedVoltage", getRatedVoltage())
            .append("ratedCurrent", getRatedCurrent())
            .append("ancestors", getAncestors())
            .append("parentEqpt", getParentEqpt())
            .append("subCircuit", getSubCircuit())
            .toString();
    }
}
